﻿/*----------------------------------------------*/
//  ParaFla Dan★Oniソース 
//  矢印スプライト生成スクリプト
//                ver fd3.4.0 beta  2008/10/24
//				  ver fd3.10.0		2009/09/13
//  source by tickle
/*----------------------------------------------*/

/*----- 注意事項 ---------------------------------------------*/
// ・コメント以外の部分で、日本語は使用できません！
// 　(ParaFlaが強制終了するなどの問題が発生します)
// 
//　 何らかの事情で使いたい場合は
//　「最初の初期化」などのところで変数を作ってその変数を使用
//　 Ex.) _root.moji="処理しています";
//
//   ※Flash用にソースを一部改変しています
/*-------------------------------------------------------------*/


/*----- スプライト生成処理 -----*/
//
// この部分を消すと矢印が出てこなくなります！
// （スプライトは基本的に_root.main上に複製されるので[main]も削除しないこと）

//
// ステップゾーン、矢印、フリーズアローの核の部分を生成
for(j=0;j<KEY_LIMIT;j++){
	if(keyLabel!="9" && !elvFlg && j==7){
		break;
	}else if((keyLabel=="5" || keyLabel=="9") && (j==1 || j==5)){
	}else{
		main.attachMovie(stepRoot[j],hAr[j]+"_step",j+10);
		main[hAr[j]+"_step"]._rotation = steprot[j];
		main[hAr[j]+"_step"]._x        = this["std"+keyLabel][j];
		main[hAr[j]+"_step"]._y        = (revn[j]==1 ? STEP_Y+stepDelta : DIST_Y-stepDelta);
		if(stepArea=="2step" && aprLabel[j]==0){
			main[hAr[j]+"_step"]._y    = (revn[j]==1 ? STEP_Y+stepDelta2: DIST_Y-stepDelta2);
		}
		if(dark == "StepZone" || dark == "All Dark" || stepArea=="Flat"){
			main[hAr[j]+"_step"].arrR._visible = false;
		}
		main.attachMovie(arrowRoot[j], hAr[j]+"_s",j+31);
		main[hAr[j]+"_s"]._rotation    = steprot[j];
		main[hAr[j]+"_s"]._x           = this["std"+keyLabel][j];
		main[hAr[j]+"_s"]._visible     = false;
		
		if(keyLabel=="9"){
			main[hAr[j]+"_step"]._xscale=93.75;
			main[hAr[j]+"_step"]._yscale=93.75;
			main[hAr[j]+"_s"]._xscale=93.75;
			main[hAr[j]+"_s"]._yscale=93.75;
		}else if(keyLabel=="7i" && j<3){
			main[hAr[j]+"_step"]._xscale=80;
			main[hAr[j]+"_s"]._xscale=80;
		}

		if(nofrz!=true && fuseArrow[j]){
			main.attachMovie(FRZ_NAME,"f"+hAr[j]+"_s",j+51);
			main["f"+hAr[j]+"_s"]._x       = this["std"+keyLabel][j];
			main["f"+hAr[j]+"_s"]._visible = false;
            
            if(keyLabel=="9"){
				main["f"+hAr[j]+"_s"]._xscale=93.75;
				main["f"+hAr[j]+"_s"]._yscale=93.75;
			}else if(keyLabel=="7i" && j<3){
				main["f"+hAr[j]+"_step"]._xscale=80;
				main["f"+hAr[j]+"_s"]._xscale=80;
			}
		}
	}
}

if(stepArea=="Flat" && dark!="StepZone" && dark!="All Dark"){
	lineStyle(3,0x222222,100);
	if(revn[0]==1){
		moveTo(20,STEP_Y-20);
		lineTo(WIDTH_X,STEP_Y-20);
		moveTo(20,STEP_Y+20);
		lineTo(WIDTH_X,STEP_Y+20);
	}else{
		moveTo(20,DIST_Y+20);
		lineTo(WIDTH_X,DIST_Y+20);
		moveTo(20,DIST_Y-20);
		lineTo(WIDTH_X,DIST_Y-20);
	}
	endFill();
}

/*----- 矢印色, ステップゾーンの設定 -----*/
//
//　矢印色をテキストで決めずグラデーションを掛けるときは
//　「ここで矢印色をセットする」部分の４行を消すこと
//
if(keyLabel=="7i"){
	var arrowColor=[
		colorArr[2],colorArr[2],colorArr[2],colorArr[0],
		colorArr[0],colorArr[0],colorArr[0]];
}else{
	var arrowColor=[
		colorArr[0],colorArr[1],colorArr[0],colorArr[2],
		colorArr[0],colorArr[1],colorArr[0],
		colorArr[3],colorArr[3],colorArr[3],colorArr[3]];
}
fColorArr      =[
		fColorArrd[0], fColorArrd[1],
		fColorArrd[0], fColorArrd[1],
		fColorArrd[0], fColorArrd[1],
		fColorArrd[0], fColorArrd[1],
		fColorArrd[0], fColorArrd[1],
		fColorArrd[2], fColorArrd[3],
		fColorArrd[2], fColorArrd[3],
		fColorArrd[2], fColorArrd[3],
		fColorArrd[2], fColorArrd[3],
		fColorArrd[2], fColorArrd[3]
	];
//
// ここで矢印色をセットする
for(j=0;j<KEY_LIMIT;j++){
	var setArr=new Color(main[hAr[j]+"_s"]);
	setArr.setRGB(arrowColor[j]);
}

/*---- 不要なスプライト, 変数を削除 (Dark, 5key, フリーズ無しなど) ----*/
for(j=0;j<delSpr.length;j++){
	main[delSpr[j]+"_s"].removeMovieClip();
	delete this[delSpr[j]+"s"];
}
if(noFrz==true){
	delete fmovArrow;
}
if(dark == "Judgement" || dark == "All Dark"){
	eff.swapDepths(10000);
	eff.removeMovieClip();
	feff.swapDepths(10000);
	feff.removeMovieClip();
}
if(dark=="LifeGauge" || dark=="All Dark"){
	lifeg.swapDepths(10000);
	lifeg.removeMovieClip();
}else{
    // ライフゲージの初期設定
	if(life == setLife.maxLife){
		lifemaxMsg = MAX_LIFE_MSG;
		lifeg._height=HEIGHT_Y;
	}else{
		lifemaxMsg ="";
		lifeg.bar._yscale=(life/setLife.maxLife)*100;
		trace(lifeg.bar._yscale);
		lifeg._height=HEIGHT_Y;
	}
	
}
if(dark=="Time" || dark=="All Dark"){
	main.timeView.swapDepths(10000);
	main.timeView.removeMovieClip();
}

eff._x  = WIDTH_X/2-150;
eff._y  = HEIGHT_Y/2-45;
feff._x = WIDTH_X-230-eff._x;
feff._y = HEIGHT_Y/2+45;
ready._x= ready._x-(400-WIDTH_X)/2;
ready._y= ready._y-(400-HEIGHT_Y)/2;
main._x = main._x-(450-WIDTH_X)/2;
//
// オートを実行しない場合はオート関数を削除
if(_root.autoMode=="OFF"){
	delete autoJudge;
	delete fautoJudge;
}
delete delSpr;
delete setArr;		delete arrowColor;



/*----- パラメータ初期化 -----*/
var sp       =0;
var sp2      =0;

// 総プレイ時間
fullTime = "-:--";	realTime = "0:00";

