﻿/*----------------------------------------------*/
//  ParaFla Dan★Oniソース 
//  「スタート初期化」スクリプト
//                ver fd3.4.0 beta  2008/10/24
//				  ver fd3.10.0		2009/09/13
/*----------------------------------------------*/

/*----- 注意事項 ---------------------------------------------*/
// ・コメント以外の部分で、日本語は使用できません！
// 　(ParaFlaが強制終了するなどの問題が発生します)
// 
//　 何らかの事情で使いたい場合は
//　「最初の初期化」などのところで変数を作ってその変数を使用
//　 Ex.) _root.moji="処理しています";
/*-------------------------------------------------------------*/


_quality=_root.qual;

System.IME.setEnabled(false);


/*---- 譜面読み込みフラグ・結果関連初期化 ----*/
gameOverFlg	=false;		// ゲームオーバー解除
viewResult	=false;		// 表記倍速（最終的な倍速）

/*---- 得点・ライフ関係初期化 ----*/
var depCnt=1;
combo   = 0;		fcombo   = 0;
maxcombo= 0;		fmaxcombo= 0;
life	= startLife;

iisc  =0;	matsc =0;	shasc = 0;	uwasc =0;	syosc = 0;
kitasc=0;	iknsc =0;   pgysc = 0;

/*----   速度の初期化   ----*/
olds     = setSpd;
bstSpd   = 1;
aprCnt   = (stepArea=="2step" ? HEIGHT_Y/2+30 : HEIGHT_Y/2+15);

/*---- 判定関連の初期化 ----*/

// 現在判定する矢印番号の初期化
var arrowCnt     = [0,0,0,0,0,0,0,0,0,0,0];
var farrowCnt    = [0,0,0,0,0,0,0,0,0,0,0];
localArrow= new Array();

feff._y = _root.HEIGHT_Y-eff._y;
changeJudgement();

/*---- キーを押したときの設定 / 削除関数 ----*/
keyPush = new Object();
Key.addListener(keyPush);

keyPush.onKeyDown=function(){
	System.IME.setEnabled(false);
	if(_root.setSpd!=0){
		var keyID = Key.getCode();
		switch(keyID){
			case _root.keyCtrl[0]:
				if(!_root.key_LE)	_root.judgeArrow(0);	break;
			case _root.keyCtrl[1]:	// 9keyではこのキーは代替として扱う
				if(!_root.key_LD)	_root.judgeArrow(1);	break;
			case _root.keyCtrl[2]:
				if(!_root.key_DO)	_root.judgeArrow(2);	break;
			case _root.keyCtrl[3]:
				if(!_root.key_SH)	_root.judgeArrow(3);	break;
			case _root.keyCtrl[4]:
				if(!_root.key_UP)	_root.judgeArrow(4);	break;
			case _root.keyCtrl[5]:	// 9keyではこのキーは代替として扱う
				if(!_root.key_RD)	_root.judgeArrow(5);	break;
			case _root.keyCtrl[6]:
				if(!_root.key_RI)	_root.judgeArrow(6);	break;
			case _root.keyCtrl[7]:
				if(!_root.key_L2)	_root.judgeArrow(7);	break;
			case _root.keyCtrl[8]:
				if(!_root.key_D2)	_root.judgeArrow(8);	break;
			case _root.keyCtrl[9]:
				if(!_root.key_U2)	_root.judgeArrow(9);	break;
			case _root.keyCtrl[10]:
				if(!_root.key_R2)	_root.judgeArrow(10);	break;
			case _root.keyCtrl[11]:	// 11keyの代替キー
				if(!_root.key_EX)	_root.judgeArrow(11);	break;
			case 46:			// タイトルバック(Delete)
				_root.delAll();
				_root.setSpd  =_root.olds;
          		_root.clear();
				if(Key.isDown(16)){
					_root.gameOverFlg = true;
					_root.gotoAndPlay("goResult");
				}else{
					_root.gotoAndPlay("preTitle");
				}
			break;
			case 8:				// 曲中リトライ(BackSpace)
				if(!_root.key_RE){
					_root.delAll();
                	_root.clear();
					_root.setSpd  =_root.olds;
					_root.gotoAndPlay("calculation");
				}
			break;
		}
	}
};

//
// 画面上にある矢印の削除
function delAll(){
	_root.removeMovieClip();
	delete _root.onEnterFrame;
	musicAct.swapDepths(10000);
	musicAct.removeMovieClip();
	Key.removeListener(keyPush);
	for(j=1;j<=300;j++){
		delete (main[localArrow[j]].onEnterFrame);
		main[localArrow[j]].removeMovieClip();
	}
	for(j=0;j<_root.KEY_LIMIT;j++){
		main[hAr[j]+"_step"].removeMovieClip();
		main[hAr[j]+"_s"].removeMovieClip();
		main["f"+hAr[j]+"_s"].removeMovieClip();
	}
	main.swapDepths(10000);
	main.removeMovieClip();
}

/*------  矢印・フリーズアロー設定  ------*/
//
//　・　Dan★Oniの核となる部分なので安易に弄らないこと！
//　・　矢印にモーションをつける場合はここではなく
//　　　基本的に [le_s][led_s]...などの部分で行うこと
//

//
// 矢印・フリーズアロー初期設定 (onLoad)
function makeArrow(j,num,header){

	depCnt=(depCnt>=300 ? 1 : ++depCnt);
	var hd			 	 = header+hAr[j];
	var newArrowName	 = hd+"_s";
	var cpName		 	 = newArrowName+_root[hd+"s"];
	main[newArrowName].duplicateMovieClip(cpName,depCnt+200);
	var arrowObj	 	 = main[cpName];
	
	arrowObj.setflg 	 = false;		            	// 判定を出したかどうかのフラグ
	arrowObj.cnt    	 = judgeY[num];	            	// ピッタリなタイミングまでのフレーム数
	arrowObj.bstcnt	  	 = bstTime[num];	            // Sp.Motion
	arrowObj._alpha 	 = setAlpha[j];		            // 矢印の透明度
	arrowObj.moveY  	 = STEP_Y+initY[num]*bstSpd;	// デフォルト換算のY座標
	arrowObj.spd    	 = bstSpd;		            	// 矢印のスピード（個別）
	arrowObj.rocate 	 = j;			            	// 矢印識別用変数
	arrowObj._y     	 = (revn[j]==1 ? arrowObj.moveY+stepDelta : HEIGHT_Y-arrowObj.moveY-stepDelta);
    if(_root.stepArea=="2step" && aprLabel[j]==0){
		arrowObj._y= (revn[j]==1 ? arrowObj._y+stepDelta2 : arrowObj._y-stepDelta2);
	}
	arrowObj.onEnterFrame= this[header+"movArrow"];
	this.localArrow[cunt]	 = arrowObj._name;
	
	return cpName;
}

//
// 矢印動作設定 (onEnterFrame)
function movArrow(){
	var j=this.rocate;

	if(_root.setSpd!=0){

		/*------ オプション設定 ------*/
		var c       = this.bstcnt;
		var mixSpd  = (_root.setSpd + _root.motArr[c])*this.spd;
		this.moveY -= mixSpd;
		this._y    -= _root.revn[j] * mixSpd;

		if(this.moveY>_root.aprCnt){
		}else if(this.cnt>=-jdgLimit[2]){
			this._alpha+=_root.aprLabel[j]*(1.5*mixSpd);	// Appearance

		/*------ これより下は判定処理：分からない場合は弄らないこと ------*/

			// 
			// 対象の矢印がオートの場合は押したことにする
			if(_root.autoArr[j]==1 && this.cnt==0){
				_root.autoJudge(j);
			}
		//
		// 枠外判定(ウワァン判定 / 矢印を消す)
		}else if(this.setflg==false){
			arrowCnt[j]++;
			this.setflg=true;
			_root.uwaJ();
			this.removeMovieClip();
		}
		this.bstcnt--;
	}
	this.cnt--;
}
//
// フリーズアロー動作設定 (onEnterFrame)
function fmovArrow(){
	var j=this.rocate;

   	if(_root.setSpd!=0){

		/*------ オプション設定 ------*/
		var c       = this.bstcnt;
		var mixSpd = (_root.setSpd + _root.motArr[c])*this.spd;
		this.moveY -= mixSpd;
		this._y    -= _root.revn[j] * mixSpd;

		if(this.moveY>_root.aprCnt){
		}else if(this.cnt>=-fjdgLimit[1]){
			this._alpha+=_root.aprLabel[j]*(1.5*mixSpd);	// Appearance

		/*------ これより下は判定処理：分からない場合は弄らないこと ------*/

			// 
			// 対象のフリーズアローがオートの場合は押したことにする
			if(_root.autoArr[j]==1 && this.cnt==0){
				_root.fautoJudge(j);
			}
		//
		// 判定放棄(イクナイ確定)
		}else if(this.setflg==false){
			farrowCnt[j]+=2;
			this.setflg=true;
			_root.iknJ();
			this.gotoAndPlay("miss");
		}
		this.bstcnt--;
	}
	this.cnt--;
}
//
// オート判定 (オート以外のときは消去)
function autoJudge(j){
	var curArr = hAr[j]+"_s"+arrowCnt[j];
	main[hAr[j]+"_step"].gotoAndPlay("hit");
	this.iiJ();

	main[curArr].removeMovieClip();
	main[curArr].setflg=true;
	arrowCnt[j]++;
}
function fautoJudge(j){
	var fcurArr = "f"+hAr[j]+"_s"+farrowCnt[j];
	main[fcurArr]._y    = main[hAr[j]+"_step"]._y;
	main[fcurArr]._alpha= 100;
	main[fcurArr].gotoAndPlay("hit");
	main[fcurArr].fa.gotoAndPlay("loop");

	farrowCnt[j]+=2;
}